Bug 1826028 - fix registry override issues with jenkins; leverage import by sha with disconnected
Summary: fix registry override issues with jenkins; leverage import by sha with discon...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Samples
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.3.z
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1824280
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-20 17:37 UTC by Gabe Montero
Modified: 2020-06-23 20:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: as part of providing disconnected support for sample in 4.2, samples operator had to allow for application of the samplesRegistry override to the CVO based jenkins imagestreams in order for the cvo install payload mirror to be used Consequence: that choice made use of samplesRegistry override in other scenarios more difficult, as the jenkins image spec from the CVO payload does not match analogous specs in quay.io or registry.redhat.io, which customers may have decided to mirror; plus the jenkins image on those registried breaks the special case support contract we have for the jenkins image as it being part of the base openshift install Fix: Now that the image registry can handle importing the jenkins imagestream when an install mirror is in place, the use of the samplesRegistry override is not longer need for the jenkins imagestreams Result: jenkins imagestream imports still work when the user uses samplesOverride to bring in the other samples imagestreams from somewhere other that registry.redhat.io
Clone Of: 1822381
Environment:
Last Closed: 2020-06-23 20:58:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-samples-operator pull 263 None closed [release-4.3] Bug 1826028: revert pr 177; no override jenkins* registry hosts for mirrors 2020-07-01 17:40:52 UTC
Red Hat Product Errata RHBA-2020:2585 None None None 2020-06-23 20:58:57 UTC

Comment 1 Gabe Montero 2020-05-08 13:32:51 UTC
PR https://github.com/openshift/cluster-samples-operator/pull/263 is up but is waiting for 4.4 dep to merge before getting bz valid

That said, moving to POST to assist my tracking.

Will let bot add PR link once the z stream process marks the pr bz valid.

Comment 2 Gabe Montero 2020-05-29 02:50:41 UTC
PR has clean tests and all tags except cherrypick approval

Comment 5 XiuJuan Wang 2020-06-16 07:29:44 UTC
Jenkins,jenkins-agent-maven,jenkins-agent-nodejs imagestreams could be imported successfully from payload in the disconnect cluster, and don't be overrided by samplesRegistry.
Verified in 4.3.0-0.nightly-2020-06-15-183232

Comment 7 errata-xmlrpc 2020-06-23 20:58:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2585


Note You need to log in before you can comment on or make changes to this bug.